package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.util.core.CofarSDK;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class CookRice011 extends BaseDevMode{
    public CookRice011() {
        this.setMode(WorkModes.COOK_RICE);

        //时间
        this.setMinTime(10 * 60);
        this.setMaxTime(30 * 60);
        this.setDefaultTime(15 * 60);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(0);
        this.setMaxMotorGear(0);
        this.setMaxMotorGear(0);
        this.setMotorGearChange(false);
        this.setMotorDirectionChange(false);
        this.setMotorDirection(MotorDirections.REVERSE);

        //温度
        this.setDefaultTemp(100);
        this.setMinTemp(100);
        this.setMaxTemp(100);
        this.setTempChange(false);
    }
    @Override
    public boolean startCountTime() {
    /**
    * （当温度达到95度时，时间就会倒计时）
    * */
        if(CofarSDK.devInfo().getTemp() >= 95){
            return super.startCountTime();
        }else{
            return false;
        }


    }

}
