package com.kuyuntech.cofarcooking.device.sdk.protocol.core.cmd;


import com.kuyuntech.cofarcooking.device.sdk.constant.core.CmdTypes;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseBody;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseDecoder;
import com.kuyuntech.cofarcooking.device.sdk.util.core.Converter;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class CfgHeatCmd extends BaseBody {

    private BaseBody baseBody;

    //指令类型
    private String cmd;

    //目标温度
    private String temp;

    //加热模式
    private String mode;


    public CfgHeatCmd(String data) {
        this(new BaseDecoder(data));
    }

    public CfgHeatCmd(BaseDecoder baseDecoder) {
        this(baseDecoder.getBaseBody());
    }

    public CfgHeatCmd(short temp, byte mode) {
        super(CmdTypes.CFG_HEAT + Converter.bytesToHexString(Converter.shortToByteArray(temp), 2) + Converter.bytesToHexString(new byte[]{mode}, 1));
    }


    public CfgHeatCmd(BaseBody baseBody) {
        this.baseBody = baseBody;
        byte[] content = this.baseBody.getContent();
        int i = 0;
        this.cmd = Converter.bytesToHexString(new byte[]{content[i++], content[i++]}, 2);
        this.temp = Converter.bytesToHexString(new byte[]{content[i++], content[i++]}, 2);
        this.mode = Converter.bytesToHexString(new byte[]{content[i]}, 1);
    }
}
