package com.kuyuntech.cofarcooking.device.sdk.protocol.core.cmd;


import com.kuyuntech.cofarcooking.device.sdk.constant.core.CmdTypes;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseBody;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseDecoder;
import com.kuyuntech.cofarcooking.device.sdk.util.core.Converter;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class WeightAlignDataCmd extends BaseBody {

    private BaseBody baseBody;

    //指令类型
    private String cmd;

    //标定状态
    private String alignStatus;

    //标定负载点
    private String alignPoint;

    public WeightAlignDataCmd(String data){
        this(new BaseDecoder(data));
    }

    public WeightAlignDataCmd(BaseDecoder baseDecoder) {
        this.baseBody = baseDecoder.getBaseBody();
        byte[] content = this.baseBody.getContent();
        int i = 0;
        this.cmd = Converter.bytesToHexString(new byte[]{content[i++],content[i++]},2);
        this.alignStatus = Converter.bytesToHexString(new byte[]{content[i++]},1);
        this.alignPoint = Converter.bytesToHexString(new byte[]{content[i]},1);
    }


    public WeightAlignDataCmd() {
        super(CmdTypes.WEIGHT_ALIGN_DATA);
    }

}
