package com.kuyuntech.cofarcooking.device.sdk.protocol.core.resp;


import com.kuyuntech.cofarcooking.device.sdk.constant.core.CmdTypes;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseBody;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseDecoder;
import com.kuyuntech.cofarcooking.device.sdk.util.core.Converter;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class VersionQueryResp extends BaseBody {

    private BaseBody baseBody;

    //指令类型
    private String cmd;

    //状态
    private String status;

    //厂商
    private String manufacturer;

    //硬件版本
    private String haradware;

    //软件版本
    private String software;

    //通讯协议版本
    private String protocol;

    //设备种类
    private String devType;


    public VersionQueryResp(String data) {
        this(new BaseDecoder(data));
    }

    public VersionQueryResp(BaseDecoder baseDecoder) {
        this.baseBody = baseDecoder.getBaseBody();
        byte[] content = this.baseBody.getContent();
        int i = 0;
        this.cmd = Converter.bytesToHexString(new byte[]{content[i++], content[i++]}, 2);
        this.status =  Converter.bytesToHexString(new byte[]{content[i++]},1);
        this.manufacturer = Converter.bytesToHexString(new byte[]{content[i++],content[i++]},2);
        this.haradware = Converter.bytesToHexString(new byte[]{content[i++],content[i++]},2);
        this.software = Converter.bytesToHexString(new byte[]{content[i++],content[i++]},2);
        this.protocol = Converter.bytesToHexString(new byte[]{content[i++]},1);
        this.devType = Converter.bytesToHexString(new byte[]{content[i]},1);

    }

    public VersionQueryResp() {
        super(CmdTypes.VERION_QUERY );
    }


}
